﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using Infragistics.Controls.Maps;

namespace GeoMapTest
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ShapefileConverter converter = ((ShapefileConverter)this.Resources["lower48Source"]);
            AddGeographicShapeSeries(converter, "States", Brushes.Red);
        }

        private void AddGeographicShapeSeries(ShapefileConverter converter, string name, Brush brush)
        {
            GeographicShapeSeries series = new GeographicShapeSeries();
            series.ItemsSource = converter;
            series.Outline = brush;

            ((GeographicShapeSeries)series).ShapeMemberPath = "Points";

            AddLayer(series, name);
        }

        private void AddLayer(GeographicShapeSeries series, string name)
        {
            CheckBox shapeLayerLayer_Checkbox = new CheckBox();
            shapeLayerLayer_Checkbox.Content = name;
            shapeLayerLayer_Checkbox.IsChecked = true;
            shapeLayerLayer_Checkbox.Margin = new Thickness(4);
            Layers_Panel.Children.Add(shapeLayerLayer_Checkbox);
            shapeLayerLayer_Checkbox.Tag = series;

            GeoMap.Series.Add(series);

            shapeLayerLayer_Checkbox.Click += ShapeFileLayers_CheckBox_Click;
        }

        private void ShapeFileLayers_CheckBox_Click(object sender, RoutedEventArgs e)
        {
            CheckBox layerCheckbox = sender as CheckBox;
            GeographicShapeSeries series = layerCheckbox.Tag as GeographicShapeSeries;

            if (layerCheckbox.IsChecked.Value)
            {
                GeoMap.Series.Add(series);
//                series.Visibility = Visibility.Visible;
            }
            else
            {
                GeoMap.Series.Remove(series);
//                series.Visibility = Visibility.Hidden;
            }
        }
    }
}
